com.sun.syndication.io

## Class WireFeedOutput

- java.lang.Object
- - com.sun.syndication.io.WireFeedOutput

    public class WireFeedOutput
    extends java.lang.Object

Generates an XML document (String, File, OutputStream, Writer, W3C DOM document or JDOM document) out of an WireFeed (RSS/Atom).

It generates all flavors of RSS (0.90, 0.91, 0.92, 0.93, 0.94, 1.0 and 2.0) and Atom 0.3 feeds. Generators are plugable (they must implement the ModuleParser interface).

### Constructor Summary

Constructors
Constructor and Description
`WireFeedOutput()` Creates a FeedOuput instance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.util.List` `getSupportedFeedTypes()` Returns the list of supported output feed types.
`void` `output(WireFeed feed, java.io.File file)` Creates a File containing with the XML representation for the given WireFeed.
`void` `output(WireFeed feed, java.io.File file, boolean prettyPrint)` Creates a File containing with the XML representation for the given WireFeed.
`void` `output(WireFeed feed, java.io.Writer writer)` Writes to an Writer the XML representation for the given WireFeed.
`void` `output(WireFeed feed, java.io.Writer writer, boolean prettyPrint)` Writes to an Writer the XML representation for the given WireFeed.
`org.jdom.Document` `outputJDom(WireFeed feed)` Creates a JDOM document for the given WireFeed.
`java.lang.String` `outputString(WireFeed feed)` Creates a String with the XML representation for the given WireFeed.
`java.lang.String` `outputString(WireFeed feed, boolean prettyPrint)` Creates a String with the XML representation for the given WireFeed.
`org.w3c.dom.Document` `outputW3CDom(WireFeed feed)` Creates a W3C DOM document for the given WireFeed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WireFeedOutput

    public WireFeedOutput()

Creates a FeedOuput instance.

### Method Detail

#### getSupportedFeedTypes

    public static java.util.List getSupportedFeedTypes()

Returns the list of supported output feed types.

Returns:
  a list of String elements with the supported output feed types.
See Also:
  `for details on the format of these strings.

  `

#### outputString

    public java.lang.String outputString(WireFeed feed)
                                  throws java.lang.IllegalArgumentException,
                                         FeedException

Creates a String with the XML representation for the given WireFeed.

If the feed encoding is not NULL, it will be used in the XML prolog encoding attribute. It is the responsibility of the developer to ensure that if the String is written to a character stream the stream charset is the same as the feed encoding property.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create XML representation from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
Returns:
  a String with the XML representation for the given WireFeed.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `FeedException` - thrown if the XML representation for the feed could not be created.

#### outputString

    public java.lang.String outputString(WireFeed feed,
                                         boolean prettyPrint)
                                  throws java.lang.IllegalArgumentException,
                                         FeedException

Creates a String with the XML representation for the given WireFeed.

If the feed encoding is not NULL, it will be used in the XML prolog encoding attribute. It is the responsibility of the developer to ensure that if the String is written to a character stream the stream charset is the same as the feed encoding property.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create XML representation from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
  `prettyPrint` - pretty-print XML (true) oder collapsed
Returns:
  a String with the XML representation for the given WireFeed.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `FeedException` - thrown if the XML representation for the feed could not be created.

#### output

    public void output(WireFeed feed,
                       java.io.File file)
                throws java.lang.IllegalArgumentException,
                       java.io.IOException,
                       FeedException

Creates a File containing with the XML representation for the given WireFeed.

If the feed encoding is not NULL, it will be used in the XML prolog encoding attribute. The platform default charset encoding is used to write the feed to the file. It is the responsibility of the developer to ensure the feed encoding is set to the platform charset encoding.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create XML representation from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
  `file` - the file where to write the XML representation for the given WireFeed.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `java.io.IOException` - thrown if there was some problem writing to the File.
  `FeedException` - thrown if the XML representation for the feed could not be created.

#### output

    public void output(WireFeed feed,
                       java.io.File file,
                       boolean prettyPrint)
                throws java.lang.IllegalArgumentException,
                       java.io.IOException,
                       FeedException

Creates a File containing with the XML representation for the given WireFeed.

If the feed encoding is not NULL, it will be used in the XML prolog encoding attribute. The platform default charset encoding is used to write the feed to the file. It is the responsibility of the developer to ensure the feed encoding is set to the platform charset encoding.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create XML representation from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
  `file` - the file where to write the XML representation for the given WireFeed.
  `prettyPrint` - pretty-print XML (true) oder collapsed
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `java.io.IOException` - thrown if there was some problem writing to the File.
  `FeedException` - thrown if the XML representation for the feed could not be created.

#### output

    public void output(WireFeed feed,
                       java.io.Writer writer)
                throws java.lang.IllegalArgumentException,
                       java.io.IOException,
                       FeedException

Writes to an Writer the XML representation for the given WireFeed.

If the feed encoding is not NULL, it will be used in the XML prolog encoding attribute. It is the responsibility of the developer to ensure the Writer instance is using the same charset encoding.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create XML representation from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
  `writer` - Writer to write the XML representation for the given WireFeed.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `java.io.IOException` - thrown if there was some problem writing to the Writer.
  `FeedException` - thrown if the XML representation for the feed could not be created.

#### output

    public void output(WireFeed feed,
                       java.io.Writer writer,
                       boolean prettyPrint)
                throws java.lang.IllegalArgumentException,
                       java.io.IOException,
                       FeedException

Writes to an Writer the XML representation for the given WireFeed.

If the feed encoding is not NULL, it will be used in the XML prolog encoding attribute. It is the responsibility of the developer to ensure the Writer instance is using the same charset encoding.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create XML representation from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
  `writer` - Writer to write the XML representation for the given WireFeed.
  `prettyPrint` - pretty-print XML (true) oder collapsed
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `java.io.IOException` - thrown if there was some problem writing to the Writer.
  `FeedException` - thrown if the XML representation for the feed could not be created.

#### outputW3CDom

    public org.w3c.dom.Document outputW3CDom(WireFeed feed)
                                      throws java.lang.IllegalArgumentException,
                                             FeedException

Creates a W3C DOM document for the given WireFeed.

This method does not use the feed encoding property.

NOTE: This method delages to the 'Document WireFeedOutput#outputJDom(WireFeed)'.

Parameters:
  `feed` - Abstract feed to create W3C DOM document from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
Returns:
  the W3C DOM document for the given WireFeed.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `FeedException` - thrown if the W3C DOM document for the feed could not be created.

#### outputJDom

    public org.jdom.Document outputJDom(WireFeed feed)
                                 throws java.lang.IllegalArgumentException,
                                        FeedException

Creates a JDOM document for the given WireFeed.

This method does not use the feed encoding property.

NOTE: All other output methods delegate to this method.

Parameters:
  `feed` - Abstract feed to create JDOM document from. The type of the WireFeed must match the type given to the FeedOuptut constructor.
Returns:
  the JDOM document for the given WireFeed.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the feed type of the WireFeedOutput and WireFeed don't match.
  `FeedException` - thrown if the JDOM document for the feed could not be created.